linux: 2.6.35-32.65 -proposed tracker

Bug #920677 reported by Brad Figg on 2012-01-23
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Brad Figg
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Herton R. Krzesinski
Prepare-package-ports-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Maverick
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.35-32.65 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 23. January 2012 21:44 UTC
kernel-stable-Certification-testing-end:Monday, 23. January 2012 22:25 UTC
kernel-stable-Prepare-package-end:Wednesday, 25. January 2012 09:49 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 25. January 2012 09:50 UTC
kernel-stable-Promote-to-proposed-end:Friday, 27. January 2012 09:01 UTC
kernel-stable-Verification-testing-start:Friday, 27. January 2012 17:22 UTC
kernel-stable-Security-signoff-start:Monday, 06. February 2012 13:45 UTC
kernel-stable-Verification-testing-end:Monday, 06. February 2012 13:45 UTC
kernel-stable-Regression-testing-start:Monday, 06. February 2012 13:45 UTC
kernel-stable-Security-signoff-end:Monday, 06. February 2012 18:00 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 08. February 2012 20:45 UTC
kernel-stable-Regression-testing-end:Wednesday, 08. February 2012 20:45 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 13. February 2012 06:45 UTC
kernel-stable-Promote-to-updates-end:Monday, 13. February 2012 06:45 UTC

Brad Figg (brad-figg) on 2012-01-23
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: maverick
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-01-23
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 921471
linux-mvl-dove - bug 921473

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-maverick (lucid) - bug 921475

description: updated
Martin Pitt (pitti) on 2012-01-27
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-01-27
description: updated
Brad Figg (brad-figg) on 2012-01-27
description: updated
Herton R. Krzesinski (herton) wrote :

All bugs are verified, verification-testing done.

Also, when this update is going to be released to security/updates, make sure to copy also linux-meta 2.6.35.32.42, we didn't have an abi bump, but it's a new release to fix missing omap/versatile meta packages.

Brad Figg (brad-figg) on 2012-02-06
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-02-06
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-02-08
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-32.65

---------------
linux (2.6.35-32.65) maverick-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #920677

  [ Upstream Kernel Changes ]

  * fuse: check size of FUSE_NOTIFY_INVAL_ENTRY message, CVE-2011-3353
    - LP: #905058
    - CVE-2011-3353
  * KVM: x86: Prevent starting PIT timers in the absence of irqchip support
    - LP: #911303
    - CVE-2011-4622
  * sched, x86: Avoid unnecessary overflow in sched_clock
    - LP: #805341
  * use cache type functions for arch_get_unmapped_area
    - LP: #861296
  * topdown mmap support
    - LP: #861296
  * xfs: validate acl count
    - LP: #917706
    - CVE-2012-0038
  * xfs: fix acl count validation in xfs_acl_from_disk()
    - LP: #917706
    - CVE-2012-0038
  * drm: integer overflow in drm_mode_dirtyfb_ioctl()
    - LP: #917838
    - CVE-2012-0044
  * x86/PCI: amd: factor out MMCONFIG discovery
    - LP: #647043
  * PNP: work around Dell 1536/1546 BIOS MMCONFIG bug that breaks USB
    - LP: #647043
 -- Brad Figg <email address hidden> Mon, 23 Jan 2012 13:40:13 -0800

Changed in linux (Ubuntu Maverick):
status: New → Fix Released
Martin Pitt (pitti) wrote :

Copied to -security as well.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers